package samples.files;

/*
 * A simple application that demonstrates the use of Aspera Java fasp Manager
 * on an Aspera Server to monitor transfers. Aspera, Inc.
 *
 * Run this program on an Aspera server and initiate transfer to that server
 * using an Aspera client machine.
 */

import com.asperasoft.faspmanager.FaspManager;

class ServerMonitorExample {

	public static void main(String[] args) throws Exception {
		/* Set path to ascp if Fasp Manager is unable to find it automatically or to override. */
		// Environment.setFasp2ScpPath("C:\\Program Files (x86)\\Aspera\\Enterprise Server\\bin\\ascp.exe");

		/*
		 * Change to true to enable server side transfer monitoring. Use along with a Global Listener to receive notifications
		 */
		FaspManager.getSingleton().listenForServerSessions(false);

		/*
		 * A listener added to the fasp Manager(as below) will be notified on all events and on all jobs. It is also possible to add a
		 * listener to only a particular job of interest.
		 */
		FaspManagerListener faspManagerListener = new FaspManagerListener();
		FaspManager.getSingleton().addListener(faspManagerListener);

		System.out.println("Hit enter to stop monitoring");
		System.in.read();
		System.out.println("Monitoring stopped.");
		FaspManager.destroy();
	}
}
